View Issue Details

IDProjectCategoryView StatusLast Update
0000343bareos-coreconfiguration guipublic2015-03-25 19:19
Reportermvwieringen Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformOpenIndianaOSOpenIndianaOS Versionb151a
Product Version14.2.1 
Summary0000343: Print config should suppress data from JobDefs
DescriptionSome specific config items in the Job resource could be coming from a JobDef
so we should not print those values in the actual Job resource.
Additional InformationWe could add a new bitmap analog to item_present bitmap already existing in
the RES class. When we mark that bit when we populate the jobdef in the
populate_jobdefs() function in src/dird/dird_conf.c we can check this bit
in the printing function. (Overhead is currently 80 / 8 = 10 bytes)
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

mvwieringen

mvwieringen

2014-10-08 09:39

developer   ~0000995

Fix committed to bareos master branch with changesetid 2187.
mvwieringen

mvwieringen

2015-03-25 16:51

developer   ~0001461

Fix committed to bareos2015 bareos-14.2 branch with changesetid 4612.
joergs

joergs

2015-03-25 19:19

developer   ~0001611

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

Related Changesets

bareos: master 6822b3ba

2014-10-05 11:45

mvwieringen

Ported: N/A

Details Diff
Print config should suppress data from JobDefs

Some specific config items in the Job resource could be coming from a
JobDef so we should not print those values in the actual Job resource.

We add a new bitmap analog to item_present bitmap already existing in
the RES class. When we mark that bit when we populate the jobdef in the
populate_jobdefs() function in src/dird/dird_conf.c we can check this
bit in the printing function. (Overhead is currently 80 / 8 = 10 bytes)

We also use the same bitmap for defaults so we can use some shortcut
logic when printing the config as we then know that the default was
set and never replaced by an other setting. We clear the bit in all
other parse functions so we know the default is cleared. If the default
is replaced with the same value as the original default that is still
detected. Only real exception is when omit defaults is set to true
then we just like before always print the defaults (but not the data
populated from a JobDef.)

Fixes 0000343: Print config should suppress data from JobDefs
Affected Issues
0000343
mod - src/dird/dird_conf.c Diff File
mod - src/dird/inc_conf.c Diff File
mod - src/dird/run_conf.c Diff File
mod - src/filed/filed_conf.c Diff File
mod - src/lib/parse_conf.c Diff File
mod - src/lib/parse_conf.h Diff File
mod - src/lib/res.c Diff File
mod - src/stored/stored_conf.c Diff File

bareos2015: bareos-14.2 2d1f2b03

2014-10-05 13:45

mvwieringen

Ported: N/A

Details Diff
Print config should suppress data from JobDefs

Some specific config items in the Job resource could be coming from a
JobDef so we should not print those values in the actual Job resource.

We add a new bitmap analog to item_present bitmap already existing in
the RES class. When we mark that bit when we populate the jobdef in the
populate_jobdefs() function in src/dird/dird_conf.c we can check this
bit in the printing function. (Overhead is currently 80 / 8 = 10 bytes)

We also use the same bitmap for defaults so we can use some shortcut
logic when printing the config as we then know that the default was
set and never replaced by an other setting. We clear the bit in all
other parse functions so we know the default is cleared. If the default
is replaced with the same value as the original default that is still
detected. Only real exception is when omit defaults is set to true
then we just like before always print the defaults (but not the data
populated from a JobDef.)

Fixes 0000343: Print config should suppress data from JobDefs
Affected Issues
0000343
mod - src/dird/dird_conf.c Diff File
mod - src/dird/inc_conf.c Diff File
mod - src/dird/run_conf.c Diff File
mod - src/filed/filed_conf.c Diff File
mod - src/lib/parse_conf.c Diff File
mod - src/lib/parse_conf.h Diff File
mod - src/lib/res.c Diff File
mod - src/stored/stored_conf.c Diff File

Issue History

Date Modified Username Field Change
2014-09-27 09:20 mvwieringen New Issue
2014-10-06 09:51 mvwieringen Assigned To => mvwieringen
2014-10-06 09:51 mvwieringen Status new => assigned
2014-10-08 09:39 mvwieringen Changeset attached => bareos master 6822b3ba
2014-10-08 09:39 mvwieringen Note Added: 0000995
2014-10-08 09:39 mvwieringen Status assigned => resolved
2014-10-08 09:39 mvwieringen Resolution open => fixed
2014-10-20 17:02 mvwieringen Status resolved => closed
2014-10-20 17:02 mvwieringen Assigned To mvwieringen =>
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-14.2 2d1f2b03
2015-03-25 16:51 mvwieringen Note Added: 0001461
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:19 joergs Note Added: 0001611
2015-03-25 19:19 joergs Status resolved => closed